# Generated from git-punch-0.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name git-punch

Name: rubygem-%{gem_name}
Version: 0.0.7
Release: 1%{?dist}
Summary: A command-line toolchain for working with NotePunch. Sets up your Git configuration for use with GitMedia and the NotePunch API. Implemented as a Git plugin, this software requires Git to be installed in order for it to be useful
License: MIT
URL: http://notepunch.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
A command-line toolchain for working with NotePunch. Sets up your
Git configuration for use with GitMedia and the NotePunch API.
Implemented as a Git plugin, this software requires Git to be
installed in order for it to be useful.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/git-punch
%{gem_instdir}/.env.example
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/git-punch.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.7-1
- Initial package
